summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Pomfland2020-10-31 01:05:29 +0100
committer Willy Sudiarto Raharjo2020-10-31 05:15:30 +0100
commitdfc0b7dbba510a2cea571c88d8c0e872d0b66bc9 (patch)
tree3d64ad06d39314f31bff98f9c241a96b8ba89333 /system
parentc133496dd44391c448a0ac588c8ab6a4455f45cb (diff)
downloadslackbuilds-dfc0b7dbba510a2cea571c88d8c0e872d0b66bc9.tar.gz
system/nmtree: Added (a port of NetBSD's mtree utility to Linux)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/nmtree/README7
-rw-r--r--system/nmtree/nmtree.SlackBuild114
-rw-r--r--system/nmtree/nmtree.info10
-rw-r--r--system/nmtree/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/system/nmtree/README b/system/nmtree/README
new file mode 100644
index 0000000000..db6be9cfd4
--- /dev/null
+++ b/system/nmtree/README
@@ -0,0 +1,7 @@
+nmtree is a utility for mapping and checking directory hierarchies.
+This version is ported from NetBSD.
+
+The binary and manpages will install as nmtree instead of the default
+mtree because libarchive provides an mtree(5) manpage.
+Regardless, the nmtree manpages will still refer to the program as
+mtree.
diff --git a/system/nmtree/nmtree.SlackBuild b/system/nmtree/nmtree.SlackBuild
new file mode 100644
index 0000000000..9a24c1307e
--- /dev/null
+++ b/system/nmtree/nmtree.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for nmtree
+
+# @(#)nmtree.SlackBuild 1.1 20/10/24 06:21:09
+
+# Copyright 2020 Pomfland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nmtree
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# maintenance work: libarchive provides its own mtree(5) manpage for some unholy
+# reason so we're going to just install the whole package as nmtree
+# we should also purge documentation it installs on its own
+mv -v $PKG/usr/bin/{m,nm}tree
+mv -v $PKG/usr/man/man5/{m,nm}tree.5.gz
+mv -v $PKG/usr/man/man8/{m,nm}tree.8.gz
+rm -r $PKG/usr/share # yes, all of it is worthless
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nmtree/nmtree.info b/system/nmtree/nmtree.info
new file mode 100644
index 0000000000..9b14d8fc3c
--- /dev/null
+++ b/system/nmtree/nmtree.info
@@ -0,0 +1,10 @@
+PRGNAM="nmtree"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/archiecobbs/nmtree"
+DOWNLOAD="https://github.com/archiecobbs/nmtree/archive/1.0.0/nmtree-1.0.0.tar.gz"
+MD5SUM="e1d63ab0eec7b0674ab38983938394fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libnbcompat"
+MAINTAINER="Pomfland"
+EMAIL="pomfland@tfwno.gf"
diff --git a/system/nmtree/slack-desc b/system/nmtree/slack-desc
new file mode 100644
index 0000000000..645771c912
--- /dev/null
+++ b/system/nmtree/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nmtree: nmtree (a port of NetBSD's mtree utility to Linux)
+nmtree:
+nmtree: nmtree is a utility for mapping and checking directory hierarchies.
+nmtree: This version is ported from NetBSD.
+nmtree:
+nmtree: Homepage: https://github.com/archiecobbs/nmtree
+nmtree:
+nmtree:
+nmtree:
+nmtree:
+nmtree: